AuRequeueEvent(3)

Name
AuRequeueEvent - put an event back on the queue

Synopsis
#include <audio/audiolib.h>

void AuRequeueEvent(server, event, skip)
    AuServer *server;
    AuEvent *event;
    int skip;

Arguments

server
    Specifies the connection to the audio server.

event
    Specifies the event to put back on the queue.

skip
    Specifies how far from the front of the queue to place the event.

Description
AuRequeueEvent puts the specified event on the event queue. The event can be placed at any position in the queue, skip determines how from the front of the queue the event is placed. If skip is less than or equal zero, the event is placed at the head of the queue. If skip is greater than zero and greater than or equal the number of events already in the queue, the event is placed at the end of the queue, otherwise, the event is placed at the specified offset in the queue.

See Also
AuNextEvent, AuEventsQueued, AuScanEvents, AuScanForTypedEvent.

audiolib - Network Audio System C Language Interface